/* CORBA_Object.java */
/* Chris Jacobi, April 22, 1997 2:57 pm PDT */

/*
 * Copyright (c) 1997 Xerox Corporation.  All Rights Reserved.  
 * Unlimited use, reproduction, and distribution of this software is
 * permitted.  Any copy of this software must include both the above
 * copyright notice of Xerox Corporation and this paragraph.  Any
 * distribution of this software must comply with all applicable United
 * States export control laws.  This software is made available AS IS,
 * and XEROX CORPORATION DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
 * INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE, AND NOTWITHSTANDING ANY OTHER
 * PROVISION CONTAINED HEREIN, ANY LIABILITY FOR DAMAGES RESULTING FROM
 * THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN
 * CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF
 * XEROX CORPORATION IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 */
 
/* $Id: CORBA_Object.java,v 1.2 1997/04/22 22:05:14 jacobi Exp $ */
 

package xerox.ilu;

/**
 * Automatic superclass of those ilu objects derived
 * from IDL files (instead of ISL files) <p>
 *
 * Don't confuse with what currently is called
 * omg.corba.corba__Object which is a superclass
 * of all ilu objects. <p>
 * 
 * @see xerox.ilu.IluObject
 * @see xerox.ilu.IluObject0
 * @see xerox.ilu.CORBA_Object
 */

public interface CORBA_Object extends xerox.ilu.IluObject {

} //CORBA_Object

